commit:     2bc15d5230a411a6e57221ae611fc2f00916ce9b
Author:     Petr Vaněk <arkamar <AT> atlas <DOT> cz>
AuthorDate: Mon Jan 16 10:50:14 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Jan 17 01:52:12 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2bc15d52

dev-lang/execline: add 2.9.1.0

The --disable-static needs to be explicitly specified in configuration
phase otherwise static libraries are created.

Fixes: d0bc6d1c27d2 ("dev-lang/execline: drop IUSE="static static-libs"")
Signed-off-by: Petr Vaněk <arkamar <AT> atlas.cz>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-lang/execline/Manifest                |  1 +
 dev-lang/execline/execline-2.9.1.0.ebuild | 47 +++++++++++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/dev-lang/execline/Manifest b/dev-lang/execline/Manifest
index 346d5de5c6d2..63d39c5d76c8 100644
--- a/dev-lang/execline/Manifest
+++ b/dev-lang/execline/Manifest
@@ -1 +1,2 @@
 DIST execline-2.9.0.1.tar.gz 100330 BLAKE2B 
c6d346700c5ca94ee83163b5ff5c7f0461d61a768345a1ed5cd64d75f10429d241ed007de7a09954774c4f9bec78c8b1bdcd77f8b98a399d10e90e5639d06d7d
 SHA512 
8115a7e0e83789cfd85750fc8e96eea0201dbf6f7d1f194e5c0a008ebf40d8fad8b802a5209d3fe9805eeb9b7542af306d5328e159a15bd7425a64ef1a51ebc3
+DIST execline-2.9.1.0.tar.gz 106227 BLAKE2B 
5a8fb4dfda515ba1d7699fdc49bffc2764ae4322c6dc601a9f0fac0dbd6098b466105625b8f066a5696201d0ca7eb4a9f811f6bdac8ac453ea5e4974af324084
 SHA512 
868cf7d2b99078b34e56c535d7cbcc2d7c6a85501f1cc5cd093ccd868906a2d2f52b872b8f60402d2c98ffc2e3145cc99ce392f3caf334f88decd8f17597b50d

diff --git a/dev-lang/execline/execline-2.9.1.0.ebuild 
b/dev-lang/execline/execline-2.9.1.0.ebuild
new file mode 100644
index 000000000000..5c656d79772a
--- /dev/null
+++ b/dev-lang/execline/execline-2.9.1.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="A non-interactive scripting language"
+HOMEPAGE="https://www.skarnet.org/software/execline/";
+SRC_URI="https://www.skarnet.org/software/${PN}/${P}.tar.gz";
+
+LICENSE="ISC"
+SLOT="0/$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~x86"
+
+RDEPEND=">=dev-libs/skalibs-2.13.0.0:="
+DEPEND="${RDEPEND}"
+
+HTML_DOCS=( doc/. )
+
+src_prepare() {
+       default
+
+       # Avoid QA warning for LDFLAGS addition
+       sed -i -e 's/.*-Wl,--hash-style=both$/:/' configure || die
+
+       sed -i -e '/AR := /d' -e '/RANLIB := /d' Makefile || die
+}
+
+src_configure() {
+       tc-export AR CC RANLIB
+
+       local myconf=(
+               --bindir=/bin
+               --dynlibdir=/usr/$(get_libdir)
+               --libdir=/usr/$(get_libdir)/${PN}
+               --with-dynlib=/usr/$(get_libdir)
+               --with-lib=/usr/$(get_libdir)/skalibs
+               --with-sysdeps=/usr/$(get_libdir)/skalibs
+               --enable-shared
+               --disable-allstatic
+               --disable-static
+               --disable-static-libc
+       )
+
+       econf "${myconf[@]}"
+}

Reply via email to